## gdigicam 0.2.40.1%2b0m5

=== debian/changelog ===
gdigicam (0.2.40.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 01 Oct 2009 15:36:41 +0300

gdigicam (0.2.40.1) unstable; urgency=low

  * Fixed memory leak in the GDigicamManager picture-done signal
    emission.
  * Fixes: NB#137944 - Possible memory leak in camera-ui with repeated
    capturing HQ picture to memory card.
  * Added "G_DISABLE_CAST_CHECKS" and "G_DISABLE_ASSERT" C flags to
    compilation with optimization.

 -- Andrés Gómez <agomez@igalia.com>  Wed, 30 Sep 2009 18:53:33 +0200

gdigicam (0.2.38.2) unstable; urgency=low

  * Added the new internal-error signal to the GDigicamManager so on a
    GST_MESSAGE_ERROR on the GStreamer bus, the bin will be set to NULL
    state and this new signal will be emitted.
  * Fixes: NB#135225 - Camera-ui seems to ignore gstreamer element
    errors when recording video.

 -- Andrés Gómez <agomez@igalia.com>  Wed, 16 Sep 2009 14:39:25 +0200

gdigicam (0.2.38.1) unstable; urgency=low

  * Changed the metadata setter functions in the GStreamer CameraBin
    external library plugin so they avoid to set uninitialized metadata.
    GST_TAG_DATE_TIME_ORIGINAL and GST_TAG_DATE_TIME_MODIFIED macros
    have been also swapped.
  * Fixes: NB#133486 - Photos get geotagged with "Oulunsalo, Finland".

 -- Andrés Gómez <agomez@igalia.com>  Sat, 12 Sep 2009 02:27:03 +0200

gdigicam (0.2.37.1) unstable; urgency=low

  * Fixes: NB#108662 - When selecting the camera modes, it takes too
    long to switch.
  * Updated audio encoder bitrate and sample rate.

 -- Andrés Gómez <agomez@igalia.com>  Tue, 08 Sep 2009 14:43:48 +0200

gdigicam (0.2.36.2) unstable; urgency=low

  * GTK-Doc completed.

 -- Alexander Bokovoy <alexander.bokovoy@nokia.com>  Fri, 04 Sep 2009 15:12:09 +0300

gdigicam (0.2.36.1) unstable; urgency=low

  * Licence change

 -- Alexander Bokovoy <alexander.bokovoy@nokia.com>  Tue,  1 Sep 2009 11:45:00 +0300

gdigicam (0.2.35.1) unstable; urgency=low

  * Fixes: NB#123540 - White dots across borders of the buttons in
    dialogs for Camera application.
  * Fixes: NB#134625 - Video recording does not record sound properly.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Tue, 25 Aug 2009 16:38:43 +0300

gdigicam (0.2.34.2) unstable; urgency=low

  * Fixes: NB#119412 - Flash does not follow scene modes settings.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Thu, 20 Aug 2009 12:36:20 +0300

gdigicam (0.2.34.1) unstable; urgency=low

  * Changed the default video encoder in the configuration file of the
    GStreamer CameraBin external library plugin.
  * Added a new bin in which to encapsulate the audio encoder and a caps
    filter in the creation of the GstElement with the GStreamer
    CameraBin external library plugin so the audio filter settings will
    be really working now.
  * Added and removed some time stamp performance measurement messages
    in the GStreamer CameraBin external library plugin.
  * Fixes: NB#131499 - Camera usability: Processing image screen should
    not be displayed before image has been taken.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Fri, 14 Aug 2009 14:43:42 +0300

gdigicam (0.2.33.1) unstable; urgency=low

  * Added a new configuration file to the GStreamer CameraBin external
    library plugin so the user will be able to tune some default
    settings when creating a new GstElement through
    g_digicam_camerabin_element_new and the new "--enable-config-file"
    compilation flag to give such feature to the library or not.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Wed, 12 Aug 2009 16:49:45 +0300

gdigicam (0.2.32.2) unstable; urgency=low

  * Modified audio encoder capabilities to set proper ones.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Wed, 05 Aug 2009 12:44:09 +0300

gdigicam (0.2.32.1) unstable; urgency=low

  * Fixes: NB#130159 - Application crashes if changed to
    Video mode.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Tue, 04 Aug 2009 15:55:01 +0300

gdigicam (0.2.30.1) unstable; urgency=low

  * Added new API to the GDigicam Manager in order to enable or disable
    the supposed preview capability of the GStreamer bin. Refactored
    from the old public and wrong API from the GStreamer CameraBin
    external library plugin.
  * Fixes: NB#129257 - gdigicam must copy memory for snapshot image.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Fri, 24 Jul 2009 14:49:00 +0300

gdigicam (0.2.29.1) unstable; urgency=low

  * The autofocusing feature is now available in video mode too.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Thu, 16 Jul 2009 02:56:35 +0300

gdigicam (0.2.28.1) unstable; urgency=low

  * Removed setting the device make and model, as part of NB#110726
    fixing.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Thu, 09 Jul 2009 18:30:14 +0300

gdigicam (0.2.27.3) unstable; urgency=low

  * Added country, city and suburb geotags to the GStreamer CameraBin
    external library plugin and removed previous tag used for
    geolocation.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Thu, 02 Jul 2009 01:55:13 +0300

gdigicam (0.2.27.2) unstable; urgency=low

  * Added the preview capability to the GStreamer CameraBin external
    library plugin. This is accessed directly to the plugin and, in the
    future, the public API should have to be migrated to the
    GDigicamManager.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Wed, 01 Jul 2009 16:35:35 +0300

gdigicam (0.2.27.1) unstable; urgency=low

  * Aspect ratio and resolution are reset after changing the operation
    mode.
  * Added members to enumerations in order to be able to check for valid
    values and added methods to do it.

 -- Kristiina Hietanen <kristiina.hietanen@nokia.com>  Wed, 01 Jul 2009 01:06:20 +0300

gdigicam (0.2.25.3) unstable; urgency=low


