## gdigicam 0.3.5.1+0m5

=== debian/changelog ===
gdigicam (0.3.5.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Fri, 05 Feb 2010 16:08:32 +0200

gdigicam (0.3.5.1) unstable; urgency=low

  * Fixes: NB#150488 - Generated framesizes should be multiple of 16

 -- Antía Puentes <apuentes@igalia.com>  Tue, 02 Feb 2010 19:26:09 +0100

gdigicam (0.2.49.1) unstable; urgency=low

  * Fixed wrong assignation on exposure related values in the manager..
  * Removed the useles gst_bus manager private member.
  * Added a new API to the manager in order to get the xwindow id used
    by the bin.
  * Manager reviewed so we can safely replace a working bin with
    another.

 -- Andrés Gómez <agomez@igalia.com>  Thu, 03 Dec 2009 00:55:59 +0100
