## gdigicam 0.3.29.1+0m5

=== debian/changelog ===
gdigicam (0.3.29.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.3.29.1+0m5

 -- Piyush Laddha <ext-piyush.laddha@nokia.com>  Tue, 27 Jul 2010 11:20:23 +0300

gdigicam (0.3.29.1) unstable; urgency=low

  * Modified the pict-done signal handler signature.

 -- Antía Puentes <apuentes@igalia.com>  Sun, 25 Jul 2010 23:14:55 +0200

gdigicam (0.3.22.1) unstable; urgency=low

  * Added new signals to notify GStreamer I/O errors when accessing the
    filesystem.

 -- Antía Puentes <apuentes@igalia.com>  Wed, 02 Jun 2010 19:01:37 +0200
