=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libgdigicam0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: GDigicam library
  GDigicam is a library to control digicam oriented GStreamer bins.
  .
@@ -38,7 +38,7 @@
 Package: libgdigicam-tests
 Section: misc
 Architecture: any
-Depends: libgdigicam0 (= ${binary:Version}), ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x
+Depends: libgdigicam0 (= ${binary:Version}), ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x, kernel-feature-errata-430973-workaround [armel]
 Description: Unit tests for GDigicam
  GDigicam is a library to control digicam oriented GStreamer bins.
  .
@@ -57,7 +57,7 @@
 Package: gdigicam-examples
 Section: x11
 Architecture: any
-Depends: ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x
+Depends: ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x, kernel-feature-errata-430973-workaround [armel]
 Description: Examples files for GDigicam library
  GDigicam is a library to control digicam oriented GStreamer bins.
  .
@@ -67,7 +67,7 @@
 Package: libgdigicam-gst-camerabin0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: GDigicam GStreamer CameraBin library
  GDigicam is a library to control GStreamer camerabin plugin.
  .
@@ -97,7 +97,7 @@
 Package: libgdigicam-gst-camerabin-tests
 Section: misc
 Architecture: any
-Depends: libgdigicam0 (= ${binary:Version}), ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x
+Depends: libgdigicam0 (= ${binary:Version}), ${shlibs:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x,kernel-feature-errata-430973-workaround [armel]
 Description: Unit tests for GDigicam GStreamer CameraBin
  GDigicam is a library to control digicam oriented GStreamer bins.
  .
